Skip to content

Get one CompoundCRS

Request

Get one the CompoundCRS given its essence.

Security
bearer
Query
modestring

The mode of return: 'persistable_reference' (default) string or 'essence' structure or 'persistable_reference_essence' i.e. the combination of other 2 options.

Default:"persistable_reference"
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/json

A unique description of a compound coordinate reference system (CompoundCRS), either as persistable reference string or essence JSON.

persistableReferencestring

The persistable reference string, either the essence of the CompoundCRS serialized into a JSON string or an encoded string (version 1).

Example:"{\"horzLateBoundCRS\":{\"wkt\":\"PROJCS[\\\"WGS_1984_UTM_Zone_35N\\\",GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",

Compound coordinate reference system aggregating a horizontal to a vertical CRS.

Example:
{ "authCode": { "auth": "OSDU", "code": "326355773" }, "type": "CC", "ver": "PE_10_3_1", "name": "WGS 84 / UTM zone 35N + EGM96 height", "horzLateBoundCRS": { "authCode": { … }, "type": "LBC", "ver": "PE_10_3_1", "name": "WGS_1984_UTM_Zone_35N", "wkt": "PROJCS[\"WGS_1984_UTM_Zone_35N\",GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",27.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",32635]]" }, "vertLateBoundCRS": { "authCode": { … }, "type": "LBC", "ver": "PE_10_3_1", "name": "EGM96_Geoid", "wkt": "VERTCS[\"EGM96_Geoid\",VDATUM[\"EGM96_Geoid\"],PARAMETER[\"Vertical_Shift\",0.0],PARAMETER[\"Direction\",1.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",5773]]" } }
curl -i -X POST \
  'https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs?mode=persistable_reference' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "persistableReference": "{\"horzLateBoundCRS\":{\"wkt\":\"PROJCS[\\\"WGS_1984_UTM_Zone_35N\\\",GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Transverse_Mercator\\\"],PARAMETER[\\\"False_Easting\\\",500000.0],PARAMETER[\\\"False_Northing\\\",0.0],PARAMETER[\\\"Central_Meridian\\\",27.0],PARAMETER[\\\"Scale_Factor\\\",0.9996],PARAMETER[\\\"Latitude_Of_Origin\\\",0.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",32635]]\",\"ver\":\"PE_10_3_1\",\"name\":\"WGS_1984_UTM_Zone_35N\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"32635\"},\"type\":\"LBC\"},\"vertLateBoundCRS\":{\"wkt\":\"VERTCS[\\\"EGM96_Geoid\\\",VDATUM[\\\"EGM96_Geoid\\\"],PARAMETER[\\\"Vertical_Shift\\\",0.0],PARAMETER[\\\"Direction\\\",1.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",5773]]\",\"ver\":\"PE_10_3_1\",\"name\":\"EGM96_Geoid\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"5773\"},\"type\":\"LBC\"},\"ver\":\"PE_10_3_1\",\"name\":\"WGS 84 / UTM zone 35N + EGM96 height\",\"authCode\":{\"auth\":\"OSDU\",\"code\":\"326355773\"},\"type\":\"CC\"}",
    "essence": {
      "authCode": {
        "auth": "OSDU",
        "code": "326355773"
      },
      "type": "CC",
      "ver": "PE_10_3_1",
      "name": "WGS 84 / UTM zone 35N + EGM96 height",
      "horzLateBoundCRS": {
        "authCode": {
          "auth": "EPSG",
          "code": "32635"
        },
        "type": "LBC",
        "ver": "PE_10_3_1",
        "name": "WGS_1984_UTM_Zone_35N",
        "wkt": "PROJCS[\"WGS_1984_UTM_Zone_35N\",GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",27.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",32635]]"
      },
      "vertLateBoundCRS": {
        "authCode": {
          "auth": "EPSG",
          "code": "5773"
        },
        "type": "LBC",
        "ver": "PE_10_3_1",
        "name": "EGM96_Geoid",
        "wkt": "VERTCS[\"EGM96_Geoid\",VDATUM[\"EGM96_Geoid\"],PARAMETER[\"Vertical_Shift\",0.0],PARAMETER[\"Direction\",1.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",5773]]"
      }
    }
  }'

Responses

A successful response

Bodyapplication/json
crstypestring(CRS-Type)

The type of the CompoundCRS.

sourcestring(Source)

The source of the CompoundCRS.

transformationReadyboolean(Transformation Ready)

The TransformationReadyness of the CompoundCRS.

baseCRSAuthorityCodeobject(Authority Code)

The AuthorityCode for this item.

aliasNamesArray of strings(Alias Names)

Alias names for this CompoundCRS.

axisUnitsArray of strings(Axis Units)

Axis Unit Essences.

numberOfAxesinteger(Number of Axes)

The NumberOfAxes of the CompoundCRS.

descriptionstring(Description)

The description of the CompoundCRS.

lastModifiedstring(LastModified)

The LastModified of the CompoundCRS.

areaOfUseobject(AreaOfUse)

The AreaOfUse class.

deprecationInfoobject(CRS Deprecation Info)

Deprecation information for a coordinate reference system.

namedReferenceobject(NamedReference)

Name and Persistable Reference (the essence converted to a JSON string).

Compound coordinate reference system aggregating a horizontal to a vertical CRS.

Response
{ "crstype": "string", "source": "string", "transformationReady": true, "baseCRSAuthorityCode": { "auth": "EPSG", "code": "4326" }, "aliasNames": [ "string" ], "axisUnits": [ "string" ], "numberOfAxes": 0, "description": "string", "lastModified": "string", "areaOfUse": { "id": "string", "name": "string", "description": "string", "lastModified": "string", "namedReference": { … }, "essence": { … } }, "deprecationInfo": { "deprecationState": "string", "remarks": "string", "supersededByCRS": { … } }, "namedReference": { "name": "string", "persistableReference": "string" }, "essence": { "type": "CC", "name": "WGS 84 / UTM zone 35N + EGM96 height", "ver": "PE_10_3_1", "horzLateBoundCRS": { … }, "horzEarlyBoundCRS": { … }, "vertLateBoundCRS": { … }, "vertEarlyBoundCRS": { … }, "authCode": { … } } }